#ifndef SPI_H
#define	SPI_H
//------------------------------------------------------------------------------
#include <xc.h>
#include "SPI_Pins.h"
//------------------------------------------------------------------------------
void SPI_init()
{
  CS = 0;         //Diselect chip initially
  SCK_dir = 0;
  SDI_dir = 1;
  SDO_dir = 0;
  CS_dir  = 0;
  // SS_dir  = 0;    //Disregard: Because operating in master mode

  SSPSTAT = 0x80; //SMP = 1: Sample bit. Input data sampled at end of data output time. CKE = 0: SPI Clock Edge Select bit CLEAR
  SSPCON = 0x30;  //SSPEN = 1: Enable Serial Port. CKP = 1: Clock Polarity Select bit: Idle state for clock is a high level
}
//------------------------------------------------------------------------------
void SPI_write(char data)
{
  SSPBUF = data;
  while(!BF);
  char clear = SSPBUF;    //Read to clear Buffer(VERY IMPORTANT!!!!)
}
//-----------------------------------------------------------------------------
char SPI_read()
{
  SSPBUF = 0;
  while(!BF);

  return SSPBUF;
}
//------------------------------------------------------------------------------
#endif